org.eclipse.emf.cdo.spi.server

## Class RepositoryUserManager

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.emf.cdo.spi.server.RepositoryUserManager

- All Implemented Interfaces:
    INotifier, IDeactivateable, ILifecycle, ILifecycle.DeferrableActivation, IAuthenticator, IUserManager

      public abstract class RepositoryUserManager
      extends Lifecycle
      implements IUserManager, IAuthenticator

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RepositoryUserManager.RepositoryAuthenticatorFactory` If the meaning of this type isn't clear, there really should be more of a description here...
    `static class` | `RepositoryUserManager.RepositoryInjector` If the meaning of this type isn't clear, there really should be more of a description here...
    `static class` | `RepositoryUserManager.RepositoryUserManagerFactory` If the meaning of this type isn't clear, there really should be more of a description here...

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RepositoryUserManager()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUser(java.lang.String userID, char[] password)`
    `void` | `authenticate(java.lang.String userID, char[] password)`
    `byte[]` | `encrypt(java.lang.String userID, byte[] data, java.lang.String algorithmName, byte[] salt, int count)`
    `protected abstract char[]` | `getPassword(IRepository repository, java.lang.String userID)`
    `protected char[]` | `getPassword(java.lang.String userID)`
    `protected IRepository` | `getRepository(IManagedContainer container, java.lang.String repositoryName)`
    `static void` | `prepareContainer(IManagedContainer container, RepositoryUserManager.RepositoryUserManagerFactory factory)`
    `void` | `removeUser(java.lang.String userID)`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, doDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Constructor Detail

    - #### RepositoryUserManager

          protected RepositoryUserManager()

  - ### Method Detail

    - #### addUser

          public void addUser(java.lang.String userID,
                              char[] password)

      Specified by:
        `addUser` in interface `IUserManager`

    - #### removeUser

          public void removeUser(java.lang.String userID)

      Specified by:
        `removeUser` in interface `IUserManager`

    - #### encrypt

          public byte[] encrypt(java.lang.String userID,
                                byte[] data,
                                java.lang.String algorithmName,
                                byte[] salt,
                                int count)
                         throws java.lang.SecurityException

      Specified by:
        `encrypt` in interface `IUserManager`
      Throws:
        `java.lang.SecurityException`

    - #### authenticate

          public void authenticate(java.lang.String userID,
                                   char[] password)
                            throws java.lang.SecurityException

      Specified by:
        `authenticate` in interface `IAuthenticator`
      Throws:
        `java.lang.SecurityException`
      Since:
        4.2

    - #### getRepository

          protected IRepository getRepository(IManagedContainer container,
                                              java.lang.String repositoryName)

    - #### getPassword

          protected char[] getPassword(java.lang.String userID)

      Since:
        4.2

    - #### getPassword

          protected abstract char[] getPassword(IRepository repository,
                                                java.lang.String userID)

    - #### prepareContainer

          public static void prepareContainer(IManagedContainer container,
                                              RepositoryUserManager.RepositoryUserManagerFactory factory)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html